summaryrefslogtreecommitdiffstats
path: root/deps/gst1-plugins-base
diff options
context:
space:
mode:
Diffstat (limited to '')
-rw-r--r--deps/gst1-plugins-base/slack-desc19
-rwxr-xr-xdeps/poppler/poppler.SlackBuild (renamed from deps/gst1-plugins-base/gst1-plugins-base.SlackBuild)107
2 files changed, 61 insertions, 65 deletions
diff --git a/deps/gst1-plugins-base/slack-desc b/deps/gst1-plugins-base/slack-desc
deleted file mode 100644
index 94a1382..0000000
--- a/deps/gst1-plugins-base/slack-desc
+++ /dev/null
@@ -1,19 +0,0 @@
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description.
-# Line up the first '|' above the ':' following the base package name, and
-# the '|' on the right side marks the last column you can put a character in.
-# You must make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':' except on otherwise blank lines.
-
- |-----handy-ruler------------------------------------------------------|
-gst1-plugins-base: gst1-plugins-base (base set of GStreamer1 plugins)
-gst1-plugins-base:
-gst1-plugins-base: GStreamer Base Plug-ins is a well-groomed and well-maintained
-gst1-plugins-base: collection of GStreamer plug-ins and elements, spanning the
-gst1-plugins-base: range of possible types of elements one would want to write
-gst1-plugins-base: for GStreamer. It also contains helper libraries and base
-gst1-plugins-base: classes useful for writing elements. A wide range of video
-gst1-plugins-base: and audio decoders, encoders, and filters are included.
-gst1-plugins-base:
-gst1-plugins-base: Homepage: http://gstreamer.freedesktop.org/
-gst1-plugins-base:
diff --git a/deps/gst1-plugins-base/gst1-plugins-base.SlackBuild b/deps/poppler/poppler.SlackBuild
index c2e4a90..0ad28a4 100755
--- a/deps/gst1-plugins-base/gst1-plugins-base.SlackBuild
+++ b/deps/poppler/poppler.SlackBuild
@@ -1,7 +1,6 @@
#!/bin/sh
-# Copyright 2014 Eric Hameleers, Eindhoven, NL
-# Copyright 2014 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2006, 2007, 2008, 2009, 2010, 2012 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -10,7 +9,7 @@
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
@@ -21,41 +20,48 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-PKGNAM=gst1-plugins-base
-SRCNAM=gst-plugins-base
-VERSION=${VERSION:-1.4.4}
-BUILD=${BUILD:-1}
+
+PKGNAM=poppler
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-2}
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+QTPATHS=$(which qtpaths 2>/dev/null)
+[ -z "$QTPATHS" ] && QTPATHS=$(which qtpaths-qt5 2>/dev/null)
+
+if [ "$($QTPATHS --qt-version | cut -d. -f1 2>/dev/null)x" = "5x" ]; then
+ CONFIG_QT5="--enable-poppler-qt5 "
+else
+ CONFIG_QT5=" "
+fi
# Automatically determine the architecture we're building on:
+MARCH=$( uname -m )
if [ -z "$ARCH" ]; then
- case "$(uname -m)" in
- i?86) ARCH=i486 ;;
- arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7lh ;;
+ case "$MARCH" in
+ i?86) export ARCH=i486 ;;
+ armv7hl) export ARCH=$MARCH ;;
+ arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
- *) ARCH=$(uname -m) ;;
+ *) export ARCH=$MARCH ;;
esac
- export ARCH
fi
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
- SLKLDFLAGS=""
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
- SLKLDFLAGS=""
LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
- SLKLDFLAGS="-L/usr/lib64"
LIBDIRSUFFIX="64"
elif [ "$ARCH" = "armv7hl" ]; then
SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
- SLKLDFLAGS=""
LIBDIRSUFFIX=""
else
SLKCFLAGS="-O2"
- SLKLDFLAGS=""
LIBDIRSUFFIX=""
fi
@@ -66,44 +72,47 @@ esac
CWD=$(pwd)
TMP=${TMP:-/tmp}
-PKG=$TMP/package-$PKGNAM
-
+PKG=$TMP/package-${PKGNAM}
rm -rf $PKG
mkdir -p $TMP $PKG
-cd $TMP
-rm -rf $SRCNAM-$VERSION
-tar xvf $CWD/$SRCNAM-$VERSION.tar.xz || exit 1
-cd $SRCNAM-$VERSION || exit 1
+cd $TMP || exit 1
+rm -rf ${PKGNAM}-${VERSION}
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z* || exit 1
+cd ${PKGNAM}-$VERSION || exit 1
+
+# Properly detect Qt5:
+zcat $CWD/poppler.mocversiongrep.patch.gz | patch -p1 --verbose || exit 1
-# Make sure ownerships and permissions are sane:
chown -R root:root .
find . \
- \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# We patched configure.ac, so:
+autoreconf -vif
-# Configure:
CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-LDFLAGS="$SLKLDFLAGS" \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
- --localstatedir=/var \
+ --enable-xpdf-headers \
+ --enable-poppler-qt4 \
+ ${CONFIG_QT5} \
+ --enable-cairo-output \
--mandir=/usr/man \
- --docdir=/usr/doc/$PKGNAM-$VERSION \
+ --disable-static \
+ --enable-zlib \
--build=$TARGET
-# Build and install:
-make || exit 1
+make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
-# Strip binaries:
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
- grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
# Compress and link manpages, if any:
if [ -d $PKG/usr/man ]; then
@@ -120,17 +129,23 @@ if [ -d $PKG/usr/man ]; then
)
fi
-# Add documentation:
-mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
-cp -a \
- AUTHORS COPYING* ChangeLog INSTALL NEWS RE* \
- $PKG/usr/doc/$PKGNAM-$VERSION
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a AUTHORS COPYING* INSTALL NEWS README README-XPDF TODO \
+ $PKG/usr/doc/${PKGNAM}-$VERSION
+( cd $PKG/usr/doc/${PKGNAM}-$VERSION
+ ln -s /usr/share/gtk-doc/html/poppler html )
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
-# Add a description:
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
-# Create the package:
cd $PKG
-/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+/sbin/makepkg -l y -c n $TMP/${PKGNAM}-$VERSION-$ARCH-$BUILD.txz